    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.IllegalTargetException

    java.lang.Object
       |
       +----java.lang.Throwable
               |
               +----java.lang.Exception
                       |
                       +----java.lang.RuntimeException
                               |
                               +----java.lang.IllegalArgumentException
                                       |
                                       +----org.jdom.IllegalTargetException

public class IllegalTargetException
extends IllegalArgumentException

`IllegalTargetException` is thrown when a target is supplied in construction, etc., of a JDOM `{@link ProcessingInstruction}`, and that name breaks XML naming conventions.

Version:
  $Revision: 1.8 $, $Date: 2002/01/08 09:17:10 $
Author:
  Brett McLaughlin

##

IllegalTargetException(String)

  This will create an `Exception` indicating that the specified target is illegal for the `{`

IllegalTargetException(String, String)

  This will create an `Exception` indicating that the specified target is illegal for the `{`

##

IllegalTargetException

     public IllegalTargetException(String target,
                                   String reason)

  This will create an `Exception` indicating that the specified target is illegal for the `{@link ProcessingInstruction}` it was supplied to.

  Parameters:
    target - `String` target that breaks rules.
    reason - `String` message or reason target is illegal.

IllegalTargetException

     public IllegalTargetException(String target)

  This will create an `Exception` indicating that the specified target is illegal for the `{@link ProcessingInstruction}` it was supplied to.

  Parameters:
    target - `String` target that breaks rules.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index